Name:           cockpit-image-builder
Version:        68
Release:        1.20250609112340735855.pr3301.32.g0ea50d6b%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-69.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jun 9 2025 Packit <hello@packit.dev> - 68-1.20250609112340735855.pr3301.32.g0ea50d6b
- Wizard: Fix overflow issues (Lucas Garfield)
- Wizard: remove else after return in firstboot (Anna Vítová)
- Wizard: remove else after return in filesystem table (Anna Vítová)
- Wizard: fix datepicker reset glitch (MS-8610) (Anna Vítová)
- CreateImageWizard: reusable TargetEnv card (Gianluca Zuccarelli)
- CreateImageWizard: switch tiles to cards (Gianluca Zuccarelli)
- Wizard: indicate which user tab contains error (Katarina Sieklova)
- Wizard: edit validation of port format in the Firewall step (Katarina Sieklova)
- playwright: Cleanup fails gracefully if no BP is created (Tom Koscielniak)
- docs: Update docs to reflect current cockpit state (Anna Vítová)
- Makefile: fix install for first time users (Anna Vítová)
- Wizard: edit the timezone filter to fix whitespaces (Katarina Sieklova)
- Wizard: fix filtering of Timezone (Katarina Sieklova)
- schutzbot: fix update github status f42 (Gianluca Zuccarelli)
- dependabot: Temporarily increase PR limit (regexowl)
- Wizard: Override max-width for release select (regexowl)
- Blueprints: Make blueprint cards selectable (regexowl)
- Wizard: Spacing between footer buttons on Review step (regexowl)
- Wizard: Update code after rebasing (regexowl)
- Wizard: Update spacing and colors used on Review step (regexowl)
- Wizard: Update group labels spacing and "add button" color (regexowl)
- test: Update tests (regexowl)
- Wizard: Update `<EmptyState>` to match PF6 (regexowl)
- Wizard: Set helper text variant (regexowl)
- Wizard: Fix spacing of buttons in Wizard's footer (regexowl)
- src: Update `<Content>` tag components (regexowl)
- test: Update tests (regexowl)
- src: Update remaining `v5` version slugs (regexowl)
- src: Run `class-name-updater` (regexowl)
- src: Run codemods and lint (regexowl)
- deps: Bump Patternfly and frontend-components versions (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
